<?php
// $Id: buymeabeer.admin.inc,v 1.3 2009/03/02 21:13:34 yaph Exp $

/**
 * @file
 * Admin settings for the Buy me a Beer module.
 */

/**
 * Admin settings form for the Buy me a Beer module
 */
function buymeabeer_admin_settings() {
  $form = array();
  $form['buymeabeer'] = array(
    '#type' => 'fieldset',
    '#title' => t('Buy Me a Beer settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  
  $form['buymeabeer']['buymeabeer_paypal_mail'] = array(
    '#type' => 'textfield',
    '#title' => t('Paypal E-mail Addrees'),
    '#default_value' => variable_get('buymeabeer_paypal_mail', ''),
    '#size' => 60,
    '#maxlength' => 60,
    '#required' => TRUE,
    '#description' => t('Enter an e-mail address that is enabled to receive paypal payments.')
  );
  
  $form['buymeabeer']['buymeabeer_anchor_text'] = array(
    '#type' => 'textfield',
    '#title' => t('Anchor Text'),
    '#default_value' => variable_get('buymeabeer_anchor_text', BMAB_ANCHOR_TEXT),
    '#size' => 60,
    '#maxlength' => 60,
    '#description' => t('Enter the anchor text for the link.')
  );
  
  $form['buymeabeer']['buymeabeer_link_title_text'] = array(
    '#type' => 'textfield',
    '#title' => t('Link Title Text'),
    '#default_value' => variable_get('buymeabeer_link_title_text', BMAB_LINK_TITLE_TEXT),
    '#size' => 60,
    '#maxlength' => 60,
    '#description' => t('Enter the title text for the link. This is what is displayed as
      a tooltip when the cursor is moved over the link. This text is also used as the paypal
      donation identifier')
  );
  
  $form['buymeabeer']['buymeabeer_teaser_full_view'] = array(
    '#type' => 'select',
    '#title' => t('Display in teaser and/or full view'),
    '#default_value' => variable_get('buymeabeer_teaser_full_view', 0),
    '#options' => array(0 => t('Full view'), 1 => t('Teaser'), 2 => t('Teasers and full view')),
    '#description' => t('When to display the link.'),
  );
  
  $form['buymeabeer']['buymeabeer_node_types'] = array(
    '#type' => 'checkboxes',
    '#title' => t('Node Types'),
    '#default_value' => variable_get('buymeabeer_node_types', array()),
    '#options' => node_get_types('names'),
    '#description' => t('Enable the node types to display the link for.')
  );
  
  $form['buymeabeer']['buymeabeer_weight'] = array(
    '#type' => 'select',
    '#title' => t('Weight'),
    '#default_value' => variable_get('buymeabeer_weight', 20),
    '#options' => drupal_map_assoc(range(-20, 20)),
    '#description' => t('Specifies the position of the link.
      A low weight, e.g. <strong>-20</strong> will display the link above the content
      and a high weight, e.g. <strong>20</strong> below the content.')
  );
  $form['buymeabeer_users'] = array(
    '#type' => 'fieldset',
    '#title' => t('User settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE
  );
  $form['buymeabeer_users']['buymeabeer_userbeer_enable'] = array(
    '#type' => 'checkbox',
    '#title' => t('Enable beers for users'),
    '#default_value' => variable_get('buymeabeer_userbeer_enable', 0),
    '#description' => t('If enabled a donation link will be displayed in the links of comments by users who entered the donation email and in links of enabled content types.')
  );

  return system_settings_form($form);
}
